EXIF library (libexif) API: libexif/exif-data.h File Reference

- Main Page
- Files
- Directories
- Related Pages

- File List
- Globals

# exif-data.h File Reference

FIXME foo bar blah. More...

`#include <libexif/exif-byte-order.h>`
`#include <libexif/exif-data-type.h>`
`#include <libexif/exif-ifd.h>`
`#include <libexif/exif-log.h>`
`#include <libexif/exif-tag.h>`
`#include <libexif/exif-content.h>`
`#include <libexif/exif-mnote-data.h>`
`#include <libexif/exif-mem.h>`

Go to the source code of this file.

## Data Structures
struct | _ExifData
## Defines
#define | exif_data_get_entry(d, t)
## Typedefs
typedef _ExifData | ExifData
typedef _ExifDataPrivate | ExifDataPrivate
typedef void(*) | ExifDataForeachContentFunc (ExifContent *, void *user_data)
## Enumerations
enum | ExifDataOption { EXIF_DATA_OPTION_IGNORE_UNKNOWN_TAGS = 1 << 0, EXIF_DATA_OPTION_FOLLOW_SPECIFICATION = 1 << 1, EXIF_DATA_OPTION_DONT_CHANGE_MAKER_NOTE = 1 << 2 }
## Functions
ExifData * | exif_data_new (void)
ExifData * | exif_data_new_mem (ExifMem *)
ExifData * | exif_data_new_from_file (const char *path)
| load exif data from file
ExifData * | exif_data_new_from_data (const unsigned char *data, unsigned int size)
void | exif_data_load_data (ExifData *data, const unsigned char *d, unsigned int size)
void | exif_data_save_data (ExifData *data, unsigned char **d, unsigned int *size)
void | exif_data_ref (ExifData *data)
void | exif_data_unref (ExifData *data)
void | exif_data_free (ExifData *data)
ExifByteOrder | exif_data_get_byte_order (ExifData *data)
void | exif_data_set_byte_order (ExifData *data, ExifByteOrder order)
ExifMnoteData * | exif_data_get_mnote_data (ExifData *)
void | exif_data_fix (ExifData *)
void | exif_data_foreach_content (ExifData *data, ExifDataForeachContentFunc func, void *user_data)
const char * | exif_data_option_get_name (ExifDataOption)
const char * | exif_data_option_get_description (ExifDataOption)
void | exif_data_set_option (ExifData *, ExifDataOption)
void | exif_data_unset_option (ExifData *, ExifDataOption)
void | exif_data_set_data_type (ExifData *, ExifDataType)
ExifDataType | exif_data_get_data_type (ExifData *)
void | exif_data_dump (ExifData *data)
void | exif_data_log (ExifData *data, ExifLog *log)

## Detailed Description

FIXME foo bar blah.

Author:
  Lutz Müller <lutz@users.sourceforge.net>

Date:
  2001-2005

This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

## Define Documentation

#define exif_data_get_entry | ( | d,
|  | t |  | ) |

Value:

    (exif_content_get_entry(d->ifd[EXIF_IFD_0],t) ?                 \
             exif_content_get_entry(d->ifd[EXIF_IFD_0],t) :                 \
             exif_content_get_entry(d->ifd[EXIF_IFD_1],t) ?                 \
             exif_content_get_entry(d->ifd[EXIF_IFD_1],t) :                 \
             exif_content_get_entry(d->ifd[EXIF_IFD_EXIF],t) ?              \
             exif_content_get_entry(d->ifd[EXIF_IFD_EXIF],t) :              \
             exif_content_get_entry(d->ifd[EXIF_IFD_GPS],t) ?               \
             exif_content_get_entry(d->ifd[EXIF_IFD_GPS],t) :               \
             exif_content_get_entry(d->ifd[EXIF_IFD_INTEROPERABILITY],t) ?  \
             exif_content_get_entry(d->ifd[EXIF_IFD_INTEROPERABILITY],t) : NULL)

## Function Documentation

ExifData* exif_data_new_from_file | ( | const char * | path | ) |

load exif data from file

Parameters:

  `[in]` | path | filename including path

Foo bar blah bleh baz.